<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords" content="Welcome" />
    <title>Khetee Dashboard</title>
    <script>
        addEventListener("load", function () {
            setTimeout(hideURLbar, 0);
        }, false);

        function hideURLbar() {
            window.scrollTo(0, 1);
        }
    </script>
    <script>
        var response;
        var request = new XMLHttpRequest();
        url = window.location.origin
        request.open("POST", url.concat("/predict"), true);
        request.setRequestHeader("Content-Type", "application/json");
        request.onload = function () {
            if (request.status == 200) {
                response = JSON.parse(request.response);
                document.getElementById("time").value = response.prediction;
            }
            else {
                response = "00:00:00";
                document.getElementById("time").value = response;
            }
        }
        request.send()
    </script>
    <link rel="stylesheet" href={{ url_for('static', path="css\style.css" )}}>
    <link rel="stylesheet" type="text/css" href={{ url_for('static', path="css/bootstrap.min.css" )}}>
    <link rel="stylesheet" type="text/css" href={{ url_for('static', path="css/font-awesome.css" )}}>
    <link rel="stylesheet" href={{ url_for('static', path="css/templatemo-breezed.css" )}}>
    <link rel="stylesheet" href={{ url_for('static', path="css/util.css" )}}>
    <link rel="stylesheet" href={{ url_for('static', path="css/main.css" )}}>
    <link rel="shortcut icon" href={{ url_for('static', path="favicon.ico" )}}>
</head>

<body>
    <!-- Header area-->
    <div class="w3layouts-main">
        <div class="bg-layer">
            <!-- Header area-->
            <header class="header-top">
                <div class="row">
                    <div class="col-12">
                        <nav class="main-nav">
                            <a>
                                <img src={{ url_for('static', path="images\logo.png" )}} class="logo">
                            </a>
                            <!-- ***** Logo End ***** -->
                            <!-- ***** Menu Start ***** -->
                            <ul class="nav">
                                <li class="scroll-to-section"><a href="#dashboard" class="active">Dashboard</a></li>
                                <li class="scroll-to-section"><a href="#profile" class="active">Profile</a></li>
                                <li class="scroll-to-section"><a href="../logout">Sign out</a></li>
                            </ul>
                            <!-- ***** Menu End ***** -->
                        </nav>
                    </div>
                </div>
            </header>
            <!-- Header area ends-->
            <section class="section" id="dashboard">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-xs-12">
                            <div class="left-text-content">
                                <div class="section-heading">
                                    <h6>Your pattern</h6><br>
                                    <button class="button" id="renderBtn">
                                        <h5>View</h5>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div class="container">
                            <canvas id="myChart"></canvas>
                        </div>
                    </div>
                </div>
            </section>
            <!-- Instructions begin -->
            <section class="section" id="instruction">
                <div class="container">
                    <div class="col-lg-6 col-md-6 col-xs-12">
                        <div class="left-text-content">
                            <div class="section-heading">
                                <h6>Train your model</h6>
                                <br>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- Timer section begins -->

            <section class="section" id="features">
                <div class="container">
                    <div class="row">
                        <div class="black-box">
                            <div class="features-item">
                                <div class="features-content">
                                    <br>
                                    <div class="header-left-bottom">
                                        <form action="#" method="post">
                                            <div class="icon1">
                                                <input type="time" id="time" name="appt-time" required="" step="1">
                                            </div>
                                            <br>
                                            <div class="bottom" button type='submit'>
                                                <a class="main-stroked-button" onclick="start()">Start timer</a>
                                                <a class="main-filled-button" onclick="stop()">Stop timer</a>
                                            </div>
                                        </form>
                                    </div>
                                    <br><br>
                                    <div class="wsize1">
                                        <div class="flex-w flex-sa-m cd100 bor1 p-t-42 p-b-22 p-l-50 p-r-50 respon1">
                                            <span class="l1-txt2 p-b-4 hours" id="hours"></span>
                                            <span class="m2-txt2">Hours</span>

                                            <span class="l1-txt2 p-b-22 respon2">:</span>

                                            <span class="l1-txt2 p-b-4 minutes" id="mins"></span>
                                            <span class="m2-txt2">Minutes</span>

                                            <span class="l1-txt2 p-b-22">:</span>

                                            <span class="l1-txt2 p-b-4 seconds" id="secs"></span>
                                            <span class="m2-txt2">Seconds</span>
                                            <h2 id="end"></h2>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section class="section" id="profile">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-xs-12">
                            <div class="left-text-content">
                                <div class="section-heading">
                                    <h6>My Profile</h6>
                                    <h4>Details:</h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-xs-12">
                            <div class="right-text-content">
                                <p>Name: {{ name }}
                                    <br><br>Email: {{ email}}
                                    <br><br>MACID: {{ mac }}
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>
</body>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.js"></script>
<script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
<script src={{ url_for('static', path='/js/action.js' )}}></script>
<script src={{ url_for('static', path="js/myChart.js" )}}></script>
<script src={{ url_for('static', path="js/jquery-3.2.1.min.js" )}}></script>

</html>